Bug 1489954 - /usr/bin/h5cc script fails to recognize its 64-bit environment
Summary: /usr/bin/h5cc script fails to recognize its 64-bit environment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hdf5
Version: rawhide
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-08 19:29 UTC by Philip Kovacs
Modified: 2017-09-30 06:38 UTC (History)
6 users (show)

Fixed In Version: hdf5-1.8.18-11.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-30 06:38:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Philip Kovacs 2017-09-08 19:29:16 UTC
Description of problem:

On s390x, the /usr/bin/h5cc wrapper issues a `uname -m` which for which there is no `s390x` case statement to s BITS=64.  It defaults to BITS=32 and tries to invoke /usr/bin/h5cc-32 which is not installed on s390x. 

Version-Release number of selected component (if applicable):


How reproducible:

/usr/bin/h5cc: line 10: /usr/bin/h5cc-32: No such file or directory


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Dan Horák 2017-09-08 19:33:30 UTC
rawhide build is on progress, but we should get the fix to all branches

Comment 3 Philip Kovacs 2017-09-16 22:22:13 UTC
Any chance of a push of Dan's patch to f27?  Some dependent packages cannot configure hdf5-devel on f27 for arch s390x and Dan's patch above will fix it.


----
checking for HDF5 type... serial
checking for HDF5 libraries... /usr/bin/h5cc: line 10: /usr/bin/h5cc-32: No such file or directory
/usr/bin/h5cc: line 10: /usr/bin/h5cc-32: No such file or directory
/usr/bin/h5cc: line 10: /usr/bin/h5cc-32: No such file or directory
/usr/bin/h5cc: line 10: /usr/bin/h5cc-32: No such file or directory
/usr/bin/h5cc: line 10: /usr/bin/h5cc-32: No such file or directory
yes (version )
checking hdf5.h usability... no
checking hdf5.h presence... yes
configure: WARNING: hdf5.h: present but cannot be compiled

Comment 4 Fedora Update System 2017-09-18 09:03:01 UTC
hdf5-1.8.18-11.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f4b698a1ef

Comment 5 Fedora Update System 2017-09-18 22:22:55 UTC
hdf5-1.8.18-11.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f4b698a1ef

Comment 6 Fedora Update System 2017-09-30 06:38:53 UTC
hdf5-1.8.18-11.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.